diff -r 64989aaf12b1 -r c202b7ee7991 libgui/languages/de_DE.ts
--- a/libgui/languages/de_DE.ts	Sat Mar 31 18:52:50 2018 +0200
+++ b/libgui/languages/de_DE.ts	Sat Mar 31 13:27:59 2018 +0200
@@ -3110,7 +3120,7 @@
     <message>
         <location filename="../src/terminal-dock-widget.cc" line="+43"/>
         <source>Command Window</source>
-        <translation type="unfinished">Befehlsfenster</translation>
+        <translation>Befehlsfenster</translation>
     </message>
 </context>
 <context>
@@ -3118,22 +3128,22 @@
     <message>
         <location filename="../src/variable-editor.cc" line="+177"/>
         <source>Dock widget</source>
-        <translation type="unfinished">Fenster andocken</translation>
+        <translation>Bedienelement andocken</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>Undock widget</source>
-        <translation type="unfinished">Fenster lösen</translation>
+        <translation>Bedienelement lösen</translation>
     </message>
     <message>
         <location line="+17"/>
         <source>Restore geometry</source>
-        <translation type="unfinished"></translation>
+        <translation>Anordnung wiederherstellen</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Redock</source>
-        <translation type="unfinished"></translation>
+        <translation>Wieder andocken</translation>
     </message>
 </context>
 <context>
@@ -3141,94 +3151,94 @@
     <message>
         <location line="+790"/>
         <source>Variable Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>Variableneditor</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Edit variables.</source>
-        <translation type="unfinished"></translation>
+        <translation>Variablen bearbeiten.</translation>
     </message>
     <message>
         <location line="+470"/>
         <source>Variable Editor Toolbar</source>
-        <translation type="unfinished"></translation>
+        <translation>Werkzeugleiste des Variableneditors</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Save</source>
-        <translation type="unfinished"></translation>
+        <translation>Speichern</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Save variable to a file</source>
-        <translation type="unfinished"></translation>
+        <translation>Variable in Datei speichern</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Cut</source>
-        <translation type="unfinished">Ausschneiden</translation>
+        <translation>Ausschneiden</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Cut data to clipboard</source>
-        <translation type="unfinished"></translation>
+        <translation>Daten in Zwischenablage verschieben</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy</source>
-        <translation type="unfinished">Kopieren</translation>
+        <translation>Kopieren</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Copy data to clipboard</source>
-        <translation type="unfinished"></translation>
+        <translation>Daten in Zwischenablage kopieren</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Paste</source>
-        <translation type="unfinished">Einfügen</translation>
+        <translation>Einfügen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Paste clipboard into variable data</source>
-        <translation type="unfinished"></translation>
+        <translation>Daten aus Zwischenablage in Variable einfügen</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Paste Table</source>
-        <translation type="unfinished"></translation>
+        <translation>Tabelle einfügen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Another paste clipboard into variable data</source>
-        <translation type="unfinished"></translation>
+        <translation>Tabelle aus Zwischenablage in Variabendaten einfügen</translation>
     </message>
     <message>
         <location line="+9"/>
         <location line="+5"/>
         <location line="+7"/>
         <source>Plot</source>
-        <translation type="unfinished"></translation>
+        <translation>Plotten</translation>
     </message>
     <message>
         <location line="-11"/>
         <source>Plot Selected Data</source>
-        <translation type="unfinished"></translation>
+        <translation>Ausgewählte Daten plotten</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Plot selected data</source>
-        <translation type="unfinished"></translation>
+        <translation>Ausgewählte Daten plotten</translation>
     </message>
     <message>
         <location line="+21"/>
         <source>Up</source>
-        <translation type="unfinished"></translation>
+        <translation>Hoch</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Go one level up in variable hierarchy</source>
-        <translation type="unfinished"></translation>
+        <translation>In der Variablenhierarchie eine Ebene nach oben gehen</translation>
     </message>
 </context>
 <context>
@@ -3236,12 +3246,7 @@
     <message>
         <location line="-1169"/>
         <source>Save Variable %1 As</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location line="+2"/>
-        <source>./%1.txt</source>
-        <translation type="unfinished"></translation>
+        <translation>Variable %1 speichern unter</translation>
     </message>
 </context>
 <context>
@@ -3249,42 +3254,42 @@
     <message>
         <location line="+123"/>
         <source>Cut</source>
-        <translation type="unfinished">Ausschneiden</translation>
+        <translation>Ausschneiden</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Copy</source>
-        <translation type="unfinished">Kopieren</translation>
+        <translation>Kopieren</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Paste</source>
-        <translation type="unfinished">Einfügen</translation>
+        <translation>Einfügen</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Paste Table</source>
-        <translation type="unfinished"></translation>
+        <translation>Tabelle einfügen</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Clear</source>
-        <translation type="unfinished"></translation>
+        <translation>Leeren</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Delete</source>
-        <translation type="unfinished"></translation>
+        <translation>Löschen</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Variable from Selection</source>
-        <translation type="unfinished"></translation>
+        <translation>Variable aus Auswahl erstellen</translation>
     </message>
     <message>
         <location line="+18"/>
         <source>Transpose</source>
-        <translation type="unfinished"></translation>
+        <translation>Transponieren</translation>
     </message>
 </context>
 <context>
@@ -3292,32 +3297,32 @@
     <message>
         <location filename="../src/qtinfo/webinfo.cc" line="+85"/>
         <source>Type here and press &apos;Return&apos; to search</source>
-        <translation type="unfinished">Suchbegriff eingeben und mit der &apos;Eingabetaste&apos; die Suche starten</translation>
+        <translation>Suchbegriff eingeben und mit der &apos;Eingabetaste&apos; die Suche starten</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Global search</source>
-        <translation type="unfinished">Globale Suche</translation>
+        <translation>Globale Suche</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>&amp;Close</source>
-        <translation type="unfinished">S&amp;chließen</translation>
+        <translation>S&amp;chließen</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Close &amp;Other Tabs</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Andere Tabs schließen</translation>
     </message>
     <message>
         <location line="+79"/>
         <source>Error</source>
-        <translation type="unfinished">Fehler</translation>
+        <translation>Fehler</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>The info file&lt;p&gt;%1&lt;p&gt;or compressed versions do not exist</source>
-        <translation type="unfinished">Die Info-Datei &lt;p&gt;%1&lt;p&gt;existiert nicht, auch keine komprimierte Version</translation>
+        <translation>Die Info-Datei &lt;p&gt;%1&lt;p&gt; existiert nicht, auch keine komprimierte Version</translation>
     </message>
 </context>
 <context>
@@ -3325,7 +3330,7 @@
     <message>
         <location filename="../src/welcome-wizard.cc" line="-162"/>
         <source>Welcome to GNU Octave</source>
-        <translation type="unfinished">Willkommen bei GNU Octave</translation>
+        <translation>Willkommen bei GNU Octave</translation>
     </message>
 </context>
 <context>
@@ -3333,38 +3338,38 @@
     <message>
         <location filename="../src/workspace-model.cc" line="-41"/>
         <source>Name</source>
-        <translation type="unfinished">Bezeichner</translation>
+        <translation>Name</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Class</source>
-        <translation type="unfinished">Klasse</translation>
+        <translation>Klasse</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Dimension</source>
-        <translation type="unfinished">Dimension</translation>
+        <translation>Dimension</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Value</source>
-        <translation type="unfinished">Wert</translation>
+        <translation>Wert</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Attribute</source>
-        <translation type="unfinished">Attribut</translation>
+        <translation>Attribut</translation>
     </message>
     <message>
         <location line="+108"/>
         <source>Right click to copy, rename, or display</source>
-        <translation type="unfinished">Rechtsklick zum Kopieren, Umbenennen oder Anzeigen</translation>
+        <translation>Rechtsklick zum Kopieren, Umbenennen oder Anzeigen</translation>
     </message>
     <message>
         <location line="+37"/>
         <location line="+2"/>
         <source>complex</source>
-        <translation type="unfinished">komplex</translation>
+        <translation>komplex</translation>
     </message>
 </context>
 <context>
@@ -3372,87 +3377,87 @@
     <message>
         <location filename="../src/workspace-view.cc" line="+55"/>
         <source>Workspace</source>
-        <translation type="unfinished">Arbeitsumgebung</translation>
+        <translation>Arbeitsumgebung</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>View the variables in the active workspace.</source>
-        <translation type="unfinished">Variablen einsehen, die sich in der aktiven Arbeitsumgebung befinden.</translation>
+        <translation>Variablen einsehen, die sich in der aktiven Arbeitsumgebung befinden.</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Enter text to filter the workspace</source>
-        <translation type="unfinished">Text eingeben um die Arbeitsumgebung zu filtern</translation>
+        <translation>Text eingeben, um die Arbeitsumgebung zu filtern</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Filter</source>
-        <translation type="unfinished">Filter</translation>
+        <translation>Filter</translation>
     </message>
     <message>
         <location line="+129"/>
         <source>View the variables in the active workspace.&lt;br&gt;</source>
-        <translation type="unfinished">Einsehen der Variablen der aktiven Arbeitsumgebung.&lt;br&gt;</translation>
+        <translation>Anzeige der Variablen der aktiven Arbeitsumgebung.&lt;br&gt;</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Colors for variable attributes:</source>
-        <translation type="unfinished">Farben für Variablen-Attribute:</translation>
+        <translation>Farben für Variablen-Attribute:</translation>
     </message>
     <message>
         <location line="+13"/>
         <source>Class</source>
-        <translation type="unfinished">Klasse</translation>
+        <translation>Klasse</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Dimension</source>
-        <translation type="unfinished">Dimension</translation>
+        <translation>Dimension</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Value</source>
-        <translation type="unfinished">Wert</translation>
+        <translation>Wert</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Attribute</source>
-        <translation type="unfinished">Attribut</translation>
+        <translation>Attribut</translation>
     </message>
     <message>
         <location line="+136"/>
         <source>Open in Variable Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>Im Variableneditor öffnen</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy name</source>
-        <translation type="unfinished">Namen kopieren</translation>
+        <translation>Namen kopieren</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy value</source>
-        <translation type="unfinished">Wert kopieren</translation>
+        <translation>Wert kopieren</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Rename</source>
-        <translation type="unfinished">Umbenennen</translation>
+        <translation>Umbenennen</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Only top-level symbols may be renamed</source>
-        <translation type="unfinished">Nur Toplevel-Symbole können umbenannt werden</translation>
+        <translation>Nur Symbole der obersten Ebene können umbenannt werden</translation>
     </message>
     <message>
         <location line="+22"/>
         <source>Hide filter</source>
-        <translation type="unfinished">Filter ausblenden</translation>
+        <translation>Filter ausblenden</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show filter</source>
-        <translation type="unfinished">Filter anzeigen</translation>
+        <translation>Filter anzeigen</translation>
     </message>
 </context>
 <context>
@@ -3660,7 +3665,7 @@
     <message>
         <location line="+28"/>
         <source>History buffer Size</source>
-        <translation>Puffergröße der Befehlshistorie</translation>
+        <translation>Puffergröße des Befehlsverlaufs</translation>
     </message>
     <message>
         <location line="+34"/>
@@ -3841,92 +3846,92 @@
     <message>
         <location line="-889"/>
         <source>Show complete path in title</source>
-        <translation type="unfinished"></translation>
+        <translation>Vollständigen Pfad im Titel anzeigen</translation>
     </message>
     <message>
         <location line="+131"/>
         <source>Number size as difference to editor font</source>
-        <translation type="unfinished"></translation>
+        <translation>Differenz zur Schriftgröße der Zeilennummern</translation>
     </message>
     <message>
         <location line="+124"/>
         <source>Highlight all occurrences of a word selected by a double click</source>
-        <translation type="unfinished"></translation>
+        <translation>Alle Vorkommnisse eines Wortes nach einem Doppelklick hervorheben</translation>
     </message>
     <message>
         <location line="+65"/>
         <source>Comments (Octave)</source>
-        <translation type="unfinished"></translation>
+        <translation>Kommentare (Octave)</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>Strings considered for uncommenting text</source>
-        <translation type="unfinished"></translation>
+        <translation>Strings, die beim Entfernen von Kommentaren berücksichtigt werden</translation>
     </message>
     <message>
         <location line="+23"/>
         <source>String used for commenting selected text</source>
-        <translation type="unfinished"></translation>
+        <translation>String, der zum Auskommentieren des ausgewählten Texts genutzt wird</translation>
     </message>
     <message>
         <location line="+31"/>
         <source>Long lines</source>
-        <translation type="unfinished"></translation>
+        <translation>Lange Zeilen</translation>
     </message>
     <message>
         <location line="+25"/>
         <source>Break long lines at line length</source>
-        <translation type="unfinished"></translation>
+        <translation>bei Zeilenlänge umbrechen</translation>
     </message>
     <message>
         <location line="+13"/>
         <source>Break lines only in comments</source>
-        <translation type="unfinished"></translation>
+        <translation>nur in Kommentaren</translation>
     </message>
     <message>
         <location line="+60"/>
         <source>Line length</source>
-        <translation type="unfinished"></translation>
+        <translation>Zeilenlänge</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Long line marker</source>
-        <translation type="unfinished"></translation>
+        <translation>Markierung langer Zeilen</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Line</source>
-        <translation type="unfinished"></translation>
+        <translation>Linie</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Background</source>
-        <translation type="unfinished">Hintergrund</translation>
+        <translation>Hintergrund</translation>
     </message>
     <message>
         <location line="+38"/>
-        <source>Wrap long lines at curent window border</source>
-        <translation type="unfinished"></translation>
+        <source>Wrap long lines at current window border</source>
+        <translation>Lange Zeilen an Fensterrand umbrechen</translation>
     </message>
     <message>
         <location line="+153"/>
         <source>Auto insert after &quot;if&quot; etc.</source>
-        <translation type="unfinished"></translation>
+        <translation>Automatisch nach &quot;if&quot; usw. einfügen</translation>
     </message>
     <message>
         <location line="+20"/>
         <source>Nothing</source>
-        <translation type="unfinished"></translation>
+        <translation>Nichts</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&quot;endif&quot; etc.</source>
-        <translation type="unfinished"></translation>
+        <translation>&quot;endif&quot; usw.</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&quot;end&quot;</source>
-        <translation type="unfinished"></translation>
+        <translation>&quot;end&quot;</translation>
     </message>
     <message>
         <location line="+235"/>
@@ -3936,12 +3941,12 @@
     <message>
         <location line="+32"/>
         <source>Restore editor tabs from previous session on startup or when editor is shown again after closing</source>
-        <translation type="unfinished"></translation>
+        <translation>Editor-Tabs der vorherigen Sitzung oder nach dem Schließen des Editors wiederherstellen</translation>
     </message>
     <message>
         <location line="+105"/>
         <source>Close all files when the editor widget is closed/hidden</source>
-        <translation type="unfinished"></translation>
+        <translation>Alle Dateien beim Schließen des Editorfensters schließen</translation>
     </message>
     <message>
         <location line="+55"/>
@@ -4027,62 +4032,62 @@
     <message>
         <location line="+90"/>
         <source>Variable Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>Variableneditor</translation>
     </message>
     <message>
         <location line="+33"/>
         <source>Default row height</source>
-        <translation type="unfinished"></translation>
+        <translation>Standard-Zeilenhöhe</translation>
     </message>
     <message>
         <location line="+17"/>
         <source>20</source>
-        <translation type="unfinished">3D {20?}</translation>
+        <translation>20</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>Default column width</source>
-        <translation type="unfinished"></translation>
+        <translation>Standard-Spaltenbreite</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Use Terminal Font</source>
-        <translation type="unfinished"></translation>
+        <translation>Schriftart des Befehlsfensters verwenden</translation>
     </message>
     <message>
         <location line="+27"/>
         <source>2</source>
-        <translation type="unfinished">3D {2?}</translation>
+        <translation>2</translation>
     </message>
     <message>
         <location line="+16"/>
         <source>Autofit</source>
-        <translation type="unfinished"></translation>
+        <translation>automatisch</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>Plus font height</source>
-        <translation type="unfinished"></translation>
+        <translation>plus Schrifthöhe</translation>
     </message>
     <message>
         <location line="+17"/>
         <source>By Column</source>
-        <translation type="unfinished"></translation>
+        <translation>Je Spalte</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Uniform</source>
-        <translation type="unfinished"></translation>
+        <translation>Gleichmäßig</translation>
     </message>
     <message>
         <location line="+23"/>
         <source>Variable Editor Colors</source>
-        <translation type="unfinished"></translation>
+        <translation>Farben für Variableneditor</translation>
     </message>
     <message>
         <location line="+12"/>
         <source>Use alternating row colors</source>
-        <translation type="unfinished"></translation>
+        <translation>Zeilen abwechselnd einfärben</translation>
     </message>
     <message>
         <location line="-287"/>
